#pragma once

#include <functional>

namespace avi::core
{
    class EventSubscriptionSystem
    {
    public:
        virtual void subscribe(std::string event, std::function<void()> callback) = 0;

        virtual ~EventSubscriptionSystem() = default;
    };
} // namespace avi::core
