#pragma once

#include <optional>
#include <string>

#include <godot_cpp/classes/input_event_key.hpp>
#include <godot_cpp/godot.hpp>

namespace avi::core
{
    class EventToKeyProvider
    {
    public:
        virtual std::optional<godot::InputEventKey*>
        getEventKey(std::string const& eventKey) const = 0;

        virtual ~EventToKeyProvider() = default;
    };
} // namespace avi::core
