#include <arviz_godot/lib/avi/core/Detoolifier.h>
#include "Option.h"

template <typename T>
avi::core::Option<T>::Option(std::string key, std::string label, std::string tooltip) :
    key(std::move(key)), label(std::move(label)), tooltip(std::move(tooltip))
{
    DETOOLIFY;
}

template <typename T>
const std::string&
avi::core::Option<T>::getKey() const
{
    return key;
}

template <typename T>
const std::string&
avi::core::Option<T>::getLabel() const
{
    return label;
}

template <typename T>
const std::string&
avi::core::Option<T>::getToolTip() const
{
    return tooltip;
}

