#pragma once

#include "MultiMeshElementNode.h"

namespace avi::scene
{
    class PolygonElementNode : public avi::scene::MultiMeshElementNode
    {
        GDCLASS(PolygonElementNode, MultiMeshElementNode)

    public:
        static void _bind_methods();

        PolygonElementNode() = default;
        ~PolygonElementNode() override = default;

        void _ready() override;

        static PolygonElementNode* newPolygonElementNode(std::vector<godot::Mesh*> mesh,
                                                         avi::connection::SentElementType type,
                                                         std::string name,
                                                         avi::core::Layer* layer);

        void update(IceInternal::Handle<armarx::viz::data::Element> elementInfo) override;
    };
} // namespace avi::scene
