#pragma once

#include <string>

namespace avi::core
{
    class Layer
    {
    public:
        virtual const std::string& getName() = 0;
        virtual const std::string& getComponent() = 0;

        [[nodiscard]] virtual bool isVisible() const = 0;

        virtual ~Layer() = default;
    };
} // namespace avi::core
