#include <arviz_godot/lib/avi/core/Detoolifier.h>
#include "None.h"

#include <arviz_godot/lib/avi/interaction/Manipulator.h>


void
avi::interaction::None::_bind_methods()
{
    DETOOLIFY;
}

void
avi::interaction::None::setup(avi::interaction::Manipulator& manipulator, godot::Node3D* proxy)
{
    DETOOLIFY;
    this->manipulator = &manipulator;
    this->proxy = proxy;

    this->hide();
}

void
avi::interaction::None::targetElement(avi::scene::ElementNode& elementNode)
{
    DETOOLIFY;
    this->elementNode = &elementNode;
    manipulator->setGizmoTransform(this, this->elementNode->getTransform(), false);
}

void
avi::interaction::None::activate()
{
    DETOOLIFY;
    this->show();
}

void
avi::interaction::None::deactivate()
{
    DETOOLIFY;
    this->hide();
}
