#pragma once

#include "MeshElementNode.h"

#include <godot_cpp/classes/cylinder_mesh.hpp>

namespace avi::scene
{
    class CylindroidElementNode : public avi::scene::MeshElementNode
    {
        GDCLASS(CylindroidElementNode, ElementNode)

    public:
        static void _bind_methods();

        CylindroidElementNode() = default;
        ~CylindroidElementNode() override = default;

        void _ready() override;

        static CylindroidElementNode* newCylindroidElementNode(std::string name,
                                                               avi::core::Layer* layer);

        void update(IceInternal::Handle<armarx::viz::data::Element> elementInfo) override;

    private:
        float height = 0.0f;
    };
} // namespace avi::scene
