#pragma once

#include "MeshElementNode.h"

#include <godot_cpp/classes/box_mesh.hpp>

namespace avi::scene
{
    class SphereElementNode : public avi::scene::MeshElementNode
    {
        GDCLASS(SphereElementNode, ElementNode)

    public:
        static void _bind_methods();

        SphereElementNode() = default;
        ~SphereElementNode() override = default;

        void _ready() override;

        static SphereElementNode* newSphereElementNode(std::string name, avi::core::Layer* layer);

        void update(IceInternal::Handle<armarx::viz::data::Element> elementInfo) override;

    private:
        float radius = 0.0f;
    };
} // namespace avi::scene
